// -*- c++ -*-
// $Id: ellipse.h,v 1.9 2002/09/02 16:56:27 winkvist Exp $

#ifndef ELLIPSE_H
#define ELLIPSE_H

#include <qpixmap.h>
#include <qpainter.h>
#include "tool.h"

class Ellipse : public Tool
{
  Q_OBJECT
public:
  Ellipse();
  Ellipse(const QString & toolname);
  void mousePressEvent(QMouseEvent *e);
  void mouseMoveEvent(QMouseEvent *e);
  void mouseReleaseEvent(QMouseEvent *e);
  void activating();
  const char* pixmap() const;
signals:
  void modified();
private:
  int startx, starty;
  int lastx, lasty;
  int activeButton;
  bool drawing;
};

#endif // ELLIPSE_H

